package com.ruoyi.mqtt.dto;

/**
 * MQTT消息基类
 */
public class MqttBaseMessage<T> {
    
    /**
     * 时间戳
     */
    private Long timestamp;
    
    /**
     * 消息参数
     */
    private T args;
    
    public MqttBaseMessage() {
    }
    
    public MqttBaseMessage(Long timestamp, T args) {
        this.timestamp = timestamp;
        this.args = args;
    }
    
    public Long getTimestamp() {
        return timestamp;
    }
    
    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }
    
    public T getArgs() {
        return args;
    }
    
    public void setArgs(T args) {
        this.args = args;
    }
}
